import type { Options } from '@swc/core';
export interface AngularPresetOptions {
    importStyles?: boolean;
    styleInlineSuffix?: boolean;
    templateRawSuffix?: boolean;
    useDefineForClassFields?: boolean;
}
export declare function swcAngularPreset(options?: AngularPresetOptions): {
    jsc: {
        parser: {
            syntax: "typescript";
            decorators: true;
            dynamicImport: true;
        };
        transform: {
            legacyDecorator: true;
            decoratorMetadata: true;
            useDefineForClassFields: boolean | undefined;
        };
        experimental: {
            plugins: [string, SwcPluginAngularOptions][];
        };
    };
    env: {
        targets: string[];
        include: string[];
    };
    swcrc: false;
};
export declare function swcAngularJestTransformer(options?: AngularPresetOptions): [string, Record<string, unknown>];
export declare function swcAngularVitePreset(options?: AngularPresetOptions): {
    jsc: {
        parser: {
            syntax: "typescript";
            decorators: true;
            dynamicImport: true;
        };
        transform: {
            legacyDecorator: true;
            decoratorMetadata: true;
            useDefineForClassFields: boolean | undefined;
        };
        experimental: {
            plugins: [string, SwcPluginAngularOptions][];
        };
    };
    env: {
        targets: string[];
        include: string[];
    };
    swcrc: false;
};
export declare function swcAngularUnpluginOptions(options?: AngularPresetOptions): Options & {
    tsconfigFile?: boolean;
};
interface SwcPluginAngularOptions {
    styleInlineSuffix?: boolean;
    templateRawSuffix?: boolean;
}
/**
 * @deprecated Use {@link swcAngularVitePreset}, {@link swcAngularJestTransformer} or {@link swcAngularPreset} instead.
 */
declare const _default: {
    jsc: {
        parser: {
            syntax: "typescript";
            decorators: true;
            dynamicImport: true;
        };
        transform: {
            legacyDecorator: true;
            decoratorMetadata: true;
            useDefineForClassFields: boolean | undefined;
        };
        experimental: {
            plugins: [string, SwcPluginAngularOptions][];
        };
    };
    env: {
        targets: string[];
        include: string[];
    };
    swcrc: false;
};
export default _default;
